← Atlas API & Provisioning Reference

Chapter 25 of 35

CSP Enums

Provided for your convenience are cached versions of TCR's enum values.

These caches are guaranteed to be up to date within a minute of any changes.

Schemas

CSP Usecases

Type Object

Name Type Description
* CspUsecase

Example

{
  "*": {
    "classification": "string",
    "description": "string",
    "displayName": "string",
    "maxSubUsecases": 5,
    "minSubUsecases": 1,
    "validSubUsecase": true
  }
}

CSP Error Codes

Type Object

Name Type Description
* String

Example

{
  "*": "string"
}

CSP Campaign Statuses

Type Array

Name Type Description
[n] String

Example

[
  "ACTIVE"
]

CSP Stock Exchanges

Type Array

Name Type Description
[n] String

Example

[
  "AMEX"
]

CSP MNO Operation Statuses

Type Array

Name Type Description
[n] String

Example

[
  "REVIEW"
]

CSP Verticals

Type Object

Name Type Description
* CspVertical

Example

{
  "*": {
    "description": "Information technology and information services.",
    "displayName": "Information Technology Services",
    "industryId": "information-technology-services"
  }
}

CSP Vetting Providers

Type Array

Name Type Description
[n] CspVettingProvider

Example

[
  {
    "displayName": "Demo Vetting Provider",
    "evpId": "DEMO_EVP",
    "tcrBillable": true,
    "vettingClasses": [
      "STANDARD"
    ],
    "vettingInstruction": "string"
  }
]

CSP Vetting Classes

Type Array

Name Type Description
[n] CspVettingClass

Example

[
  {
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "id": "string",
    "validatyMonths": 0.0
  }
]

CSP MNOs

Type Array

Name Type Description
[n] SubObject MNO

Example

[
  {
    "displayName": "string",
    "networkId": 0.0,
    "osrBitmaskindex": 0.0
  }
]

SubObject

Sub-Schema

MNO

Type Object

Name Type Description
displayName String
networkId Number
osrBitmaskindex Number

CSP DCAs

Type Array

Name Type Description
[n] SubObject DCA

Example

[
  {
    "displayName": "string",
    "id": "string"
  }
]

SubObject

Sub-Schema

DCA

Type Object

Name Type Description
displayName String
id String

CSP Entity Types

Type Array

Name Type Description
[n] String

Example

[
  "PRIVATE_PROFIT"
]

CSP Brand Relationships

Type Array

Name Type Description
[n] String

Example

[
  "BASIC_ACCOUNT"
]

CSP Alt Business ID Types

Type Array

Name Type Description
[n] String

Example

[
  "NONE"
]

CSP Event Categories

Type Array

Name Type Description
[n] String

Example

[
  "string"
]

CSP Event Categories

Type Object

Name Type Description
* String

Example

{
  "*": "string"
}

API

List Usecases

GET /api/v1/csp/enum/usecases HTTP/1.1

Retrieve

Request

GET /api/v1/csp/enum/usecases HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 184
{
  "*": {
    "classification": "string",
    "description": "string",
    "displayName": "string",
    "maxSubUsecases": 5,
    "minSubUsecases": 1,
    "validSubUsecase": true
  }
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Sub-Usecases

GET /api/v1/csp/enum/sub_usecases HTTP/1.1

Retrieve

Request

GET /api/v1/csp/enum/sub_usecases HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 184
{
  "*": {
    "classification": "string",
    "description": "string",
    "displayName": "string",
    "maxSubUsecases": 5,
    "minSubUsecases": 1,
    "validSubUsecase": true
  }
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Campaign Statuses

GET /api/v1/csp/enum/campaign_statuses HTTP/1.1

Request

GET /api/v1/csp/enum/campaign_statuses HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 14
[
  "ACTIVE"
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Error Codes

GET /api/v1/csp/enum/error_codes HTTP/1.1

Request

GET /api/v1/csp/enum/error_codes HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 19
{
  "*": "string"
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Vetting Providers

GET /api/v1/csp/enum/vetting_providers HTTP/1.1

Request

GET /api/v1/csp/enum/vetting_providers HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 188
[
  {
    "displayName": "Demo Vetting Provider",
    "evpId": "DEMO_EVP",
    "tcrBillable": true,
    "vettingClasses": [
      "STANDARD"
    ],
    "vettingInstruction": "string"
  }
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Stock Exchanges

GET /api/v1/csp/enum/stock_exchanges HTTP/1.1

Request

GET /api/v1/csp/enum/stock_exchanges HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 12
[
  "AMEX"
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List MNO Operation Statuses

GET /api/v1/csp/enum/mno_operation_statuses HTTP/1.1

Request

GET /api/v1/csp/enum/mno_operation_statuses HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 14
[
  "REVIEW"
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Verticals

GET /api/v1/csp/enum/verticals HTTP/1.1

Request

GET /api/v1/csp/enum/verticals HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 193
{
  "*": {
    "description": "Information technology and information services.",
    "displayName": "Information Technology Services",
    "industryId": "information-technology-services"
  }
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Vetting Classes

GET /api/v1/csp/enum/vetting_classes HTTP/1.1

Request

GET /api/v1/csp/enum/vetting_classes HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 136
[
  {
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "id": "string",
    "validatyMonths": 0.0
  }
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List MNOs

GET /api/v1/csp/enum/mnos HTTP/1.1

Request

GET /api/v1/csp/enum/mnos HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 89
[
  {
    "displayName": "string",
    "networkId": 0.0,
    "osrBitmaskindex": 0.0
  }
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List DCAs

GET /api/v1/csp/enum/dcas HTTP/1.1

Request

GET /api/v1/csp/enum/dcas HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 59
[
  {
    "displayName": "string",
    "id": "string"
  }
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Entity Types

GET /api/v1/csp/enum/entity_types HTTP/1.1

Request

GET /api/v1/csp/enum/entity_types HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 22
[
  "PRIVATE_PROFIT"
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Brand Relationships

GET /api/v1/csp/enum/brand_relationships HTTP/1.1

Request

GET /api/v1/csp/enum/brand_relationships HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 21
[
  "BASIC_ACCOUNT"
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Alt-Business ID Types

GET /api/v1/csp/enum/alt_business_id_types HTTP/1.1

Request

GET /api/v1/csp/enum/alt_business_id_types HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 12
[
  "NONE"
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List Event Categories

GET /api/v1/csp/enum/event_categories HTTP/1.1

Request

GET /api/v1/csp/enum/event_categories HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 14
[
  "string"
]

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

List CNPs

GET /api/v1/csp/enum/cnps HTTP/1.1

Request

GET /api/v1/csp/enum/cnps HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 19
{
  "*": "string"
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

Updated 2026-08-12 · Reconciled with OpenAPI 2026.8.25-p01 on 2026-09-05 · A newer definition (seen 2026-09-09) is under review and not yet reflected here · View this chapter as Markdown (for AI assistants)